;**********************************************************
; Vertical Scroll Demo
; S. Orchard
;**********************************************************

	section "DPVARS"

td_bptr		rmb 2	; offset of origin within shift buffers
td_vcoord	rmb 1	; vertical pixel offset
td_mptr		rmb 2	; pointer to map row
td_sbuf		rmb 2	; pointer to current shift buffer (copy source)
td_fbuf		rmb 2	; pointer to current frame buffer (copy dest)
td_count	rmb 1	; general purpose counter
td_count2	rmb 1	; general purpose counter

;**********************************************************

	section "DATA"

;**********************************************************

	section "SHIFT_BUFFERS"
	
	org $8000 - TD_SBSIZE*1

TD_SBSIZE	equ TD_TILEROWS*512
TD_SBUFF	rmb TD_SBSIZE
TD_SBEND	equ *

;**********************************************************

	section "CODE"

td_init
	clra
	clrb
	sta td_vcoord
	std td_bptr

	ldx #MAPSTART
	stx td_mptr

	ldx #TD_SBUFF
	stx td_sbuf
	
	rts


	include "td_updown.asm"
	include "td_copybuf.asm"

